<?php
/*
* Plugin Name: Geo Content
* Description: Create geo targeted content
* Version: 2.0
* Author: Geolify
* Author URI: https://geolify.com
*/



//ADMIN MENU---------------------------------------------------------------------


add_action( 'admin_menu', 'geolify_wp_geocontent_add_admin_menu' );


function geolify_wp_geocontent_add_admin_menu(  ) { 

	add_menu_page( 'Geo Content - Geolify', 'Geo Content', 'manage_options', 'geolify_wp_geocontent', 'geolify_wp_geocontent_options_page' );

}




function geolify_wp_geocontent_options_page(  ) { 

	?>
	<form action='options.php' method='post'>
		
<div id="post-body" class="metabox-holder columns-2">
<div id="post-body-content">

<h2>Geo Content - by Geolify</h2>



<div class="postbox" style="width:70%; padding:30px;">
<h2>Welcome</h2>
<p>Geolify's Geo Content is a plugin that allows you to easily create content that changes based on visitor geolocation (country, state & city).</p>
</div>

<div class="postbox" style="width:70%; padding:30px;">
<h2>Getting Started</h2>


<p>1. Create a Geolify account at <a href="https://geolify.com" target="_blank">geolify.com</a> </p>

<p>2. Log into your Geolify dasboard at <a href="https://geolify.com/dash-board/" target="_blank">geolify.com/dash-board/</a> </p>

<p>3. Purchase page views from the Geolify dashboard</p>

<p>4. Create a new Content at <a href="https://geolify.com/dash-list-geo-content/" target="_blank">geolify.com/dash-list-geo-content/</a> </p>

<p>4. Design your Geo Content and target geolocations</p>

<p>5. Copy the Geo Content Wordpress shotcode provided and paste it into your page/post editor where the geo targeted content should appear</p>

<p>6. Create as many Geo Content's as you like</p>
</div>


</form>

</div>
</div>

<?php

}







//GEO CONTENT-----------------------------------------------------------

function geolify_wp_geocontent($atts) {

   extract(shortcode_atts(array(
      'id' => 0
   ), $atts));

return "<script type='text/javascript' src='//www.geolify.com/geocontent.php?id=".$atts['id']."'></script>";

}





add_shortcode("geolifycontent", "geolify_wp_geocontent");


?>